Skip to main content
PATCH
Python (SDK)

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

external_id
string
required

The member external ID.

Query Parameters

customer_id
string<uuid> | null

The customer ID.

external_customer_id
string | null

The customer external ID.

Body

application/json

Schema for updating a member.

name
string | null

The name of the member.

Maximum string length: 256
Example:

"Jane Doe"

role
enum<string> | null

The role of the member within the customer.

Available options:
owner,
billing_manager,
member
Example:

"member"

Response

Member updated.

A member of a customer.

id
string<uuid4>
required

The ID of the member.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

customer_id
string<uuid4>
required

The ID of the customer this member belongs to.

email
string
required

The email address of the member.

Example:

"member@example.com"

name
string | null
required

The name of the member.

Example:

"Jane Doe"

external_id
string | null
required

The ID of the member in your system. This must be unique within the customer.

Example:

"usr_1337"

role
enum<string>
required

The role of the member within the customer.

Available options:
owner,
billing_manager,
member
Example:

"owner"